Fetch bookkeeping reporting periods
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/bookkeeping/periods \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/bookkeeping/periods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/bookkeeping/periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"periods": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"scale": "MONTHLY",
"status": "IN_PROGRESS",
"billing_status": "ACTIVE",
"closing_timeline": {
"started_at": "2023-11-07T05:31:56Z",
"first_awaiting_business_at": "2023-11-07T05:31:56Z",
"closing_started_at": "2023-11-07T05:31:56Z",
"first_closing_tasks_sent_at": "2023-11-07T05:31:56Z",
"in_review_at": "2023-11-07T05:31:56Z",
"last_task_completed_at": "2023-11-07T05:31:56Z",
"waiting_for_business_since": "2023-11-07T05:31:56Z",
"provisionally_closed_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z"
},
"open_tasks": 123,
"completed_tasks": 123,
"month": 6,
"avg_task_response_time_seconds": 123
}
],
"type": "com.layerfi.routers.ApiBookkeepingReportingPeriods"
}
}{
"description": "<string>",
"meta": {}
}Bookkeeping Status
Fetch bookkeeping reporting periods
Returns historical bookkeeping period status for a business, including simplified external status, billing status, closing timeline milestones, and per-period task metrics. Newest periods first. Inactive and ongoing periods are excluded.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
bookkeeping
/
periods
Fetch bookkeeping reporting periods
Returns historical bookkeeping periods for a business (newest first), with simplified external status, billing status, closing timeline milestones, and task metrics. Inactive and ongoing periods are excluded.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
Response
Bookkeeping period history for the business.
Show child attributes
Show child attributes
⌘I